<?php
/**
 * Descreve os status de transações disponiveis 
 * no SuperPay
 * 
 * @see SuperPay_Guia_para_Integracao_.2.5.pdf
 * 
 */

class SuperPayStatusTransacoes {
	
	function __construct(){}
	
	
	protected function status(){
		
		$status = array(
			1	=> 'Autorizado e Confirmado',//Representa que a transação está paga.
			2 	=> 'Autorizado', // Representa que a transação ainda será 
			3	=> 'Não autorizado', // Representa que a transação foi negada
			4 	=> '', // nulo
			5 	=> 'Transação em Andamento', // Transação em andamento
			6	=> 'Boleto em Compensação', // Transação ainda não está paga, boleto está em processo de compensação/baixa
			7	=> '', // nulo
			8 	=> 'Aguardando Pagamento', //Transação está no SuperPay, aguardando o pagamento ou pedidos em processo de retentativa
			9 	=> 'Falha na Operadora', // transação não foi autorizada pela operadora ou houve um problema em seu processamento
			10	=> '',  // nulo
			11	=> '', // nulo
			12	=> '', // nulo
			13	=> 'Cancelado', // Transação foi cancelada na adquirente (operadora)
			14	=> 'Estornada', // Venda cancelada na adquirente (operadora)
			15 	=> 'Em Análise de Risco', // Transação foi enviada para o sistema de análise de riscos/fraudes e que o SuperPay ainda não obteve resposta de aprovação ou negação
			16	=> '', // nulo
			17 	=> 'Recusado Análise de Risco', //Transação foi negada pelo sistema de análise de risco/fraude
			18	=> 'Falha no envio para Análise de Risco',// Transação com alguma falha, o pedido não foi enviado para o sistema de análise de risco/frause, porém será reenviada
			19 	=> '', // nulo
			20 	=> '', // nulo
			21 	=> 'Boleto Pago a menor',// Boleto pago com valor diferente (menor) do emitido
			22 	=> 'Boleto Pago a maior', // Boleto pago com valor diferente (maior) que o emitido
			23	=> 'Estorno Parcial', // Transação em que a venda foi cancelada parcialmente pela adquirente
			24	=> '',  // nulo
			25	=> '',  // nulo
			26	=> '',  // nulo
			27	=> '',  // nulo
			28	=> '',  // nulo
			29	=> '',  // nulo
			30	=> 'Operação em andamento', // Transação em curso de pagamento
			31 	=> 'Transação já efetuada' // Transação já efetuada e efetivada com status final
		);
	}
}
?>